#-*-coding:utf-8-*-
###########################################################################
# Eole NG - 2011
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# squirrelmail.py
#
# Configuration de base de données mysql de squirrelmail
#
###########################################################################
"""
    Config pour squirrelmail
"""
from eolesql.db_test import db_exists, test_var

SQUIRRELMAIL_TABLEFILENAMES = ['/usr/share/eole/mysql/squirrelmail/gen/squirrelmail.sql']

def test():
    """
        test l'existence de la base de donnée squirrelmail
    """
    return test_var('activer_squirrelmail') and not db_exists('squirrelmail')

conf_dict = dict(filenames=SQUIRRELMAIL_TABLEFILENAMES,
                 test=test)

